{-# OPTIONS --cumulativity #-}
module ROmega.All where

--------------------------------------------------------------------------------
-- Load & typecheck *all* modules.

-- Entailment.
open import ROmega.Entailment
open import ROmega.Entailment.Reasoning

-- Equivalence.
open import ROmega.Equivalence

-- Examples.
-- TODO: § indexing.
open import ROmega.Examples.Section-3

-- IndexCalculus.
open import ROmega.IndexCalculus.Rows as Ix
open import ROmega.IndexCalculus.Properties

-- Lib (shared util).
open import ROmega.Lib.Equality

-- Postulates.
open import ROmega.Postulates.FunExt

-- Terms.
open import ROmega.Terms as Terms

-- Types.
open import ROmega.Types as Types
open import ROmega.Types.Substitution
open import ROmega.Types.Substitution.Properties
